Announcement

#1 2010-08-26 19:40:31

gjtoth
Member
2009-10-13
28

[resolved] pLoader under 64-bit OS

pLoader used to work fine until I attempted to use it on my new machine (64-bit vs 32-bit).  Any suggestions?

Offline

 

#2 2010-08-27 00:04:54

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13171

Re: [resolved] pLoader under 64-bit OS

Hi gjtoth,

What is your Linux distribution (Ubuntu? Fedora? OpenSuse?)

When using a 64bits distributions (what I did until recently), you will have to run pLoader "from sources". On [extension by plg] pLoader for Linux, download pLoader 1.6 source code.

Please read [Forum, topic 15823] Ploader - Gentoo 64 to get an idea of what should be done.

If you're running on Ubuntu, this command line should install required dependencies:

sudo apt-get install subversion perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl perlmagick libcrypt-cbc-perl libcrypt-des-perl


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#3 2010-08-27 04:17:38

gjtoth
Member
2009-10-13
28

Re: [resolved] pLoader under 64-bit OS

plg wrote:

Hi gjtoth,

What is your Linux distribution (Ubuntu? Fedora? OpenSuse?)

When using a 64bits distributions (what I did until recently), you will have to run pLoader "from sources". On [extension by plg] pLoader for Linux, download pLoader 1.6 source code.

Please read [Forum, topic 15823] Ploader - Gentoo 64 to get an idea of what should be done.

If you're running on Ubuntu, this command line should install required dependencies:

sudo apt-get install subversion perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl perlmagick libcrypt-cbc-perl libcrypt-des-perl

Ubuntu 9.10  Now, give me a little help in compiling or whatever I have to do to get this thing running, please.

Last edited by gjtoth (2010-08-27 04:25:02)

Offline

 

#4 2010-09-03 22:57:49

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13171

Re: [resolved] pLoader under 64-bit OS

gjtoth wrote:

Ubuntu 9.10  Now, give me a little help in compiling or whatever I have to do to get this thing running, please.

You don't need to compile anything.

1) go to [extension by plg] pLoader for Linux
2) download pLoader 1.6 source code
3) extract files from pLoader-1.6.tar.gz (right click, "Open with Archive Manager")
4) install dependencies

sudo apt-get install subversion perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl perlmagick libcrypt-cbc-perl libcrypt-des-perl

5) open a terminal, Applications > Accessories > Terminal
6) go to the extracted directory:

Code:

cd  /home/gjtoth/pLoader-1.6/src

7) run pLoader:

Code:

perl ploader.pl

Latest blog post (May 3rd 2018) New subscription form

Offline

 

#5 2010-09-03 23:06:07

gjtoth
Member
2009-10-13
28

Re: [resolved] pLoader under 64-bit OS

plg wrote:

gjtoth wrote:

Ubuntu 9.10  Now, give me a little help in compiling or whatever I have to do to get this thing running, please.

You don't need to compile anything.

1) go to [extension by plg] pLoader for Linux
2) download pLoader 1.6 source code
3) extract files from pLoader-1.6.tar.gz (right click, "Open with Archive Manager")
4) install dependencies

sudo apt-get install subversion perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl perlmagick libcrypt-cbc-perl libcrypt-des-perl

5) open a terminal, Applications > Accessories > Terminal
6) go to the extracted directory:

Code:

cd  /home/gjtoth/pLoader-1.6/src

7) run pLoader:

Code:

perl ploader.pl

And, this is the result

Code:

gary@Vito:~/pLoader-1.6/src$ perl ploader.pl
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380.
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at Uploader/GUI/wxApp.pm line 218
Byte order is not compatible at ../../lib/Storable.pm (autosplit into ../../lib/auto/Storable/_retrieve.al) line 380, at Uploader/GUI/wxApp.pm line 218

Offline

 

#6 2010-09-03 23:11:04

plg
Piwigo Team
Nantes, France, Europe
2002-04-05
13171

Re: [resolved] pLoader under 64-bit OS

OK, can you remove your $HOME/.pLoader and try again?


Latest blog post (May 3rd 2018) New subscription form

Offline

 

#7 2010-09-03 23:13:56

gjtoth
Member
2009-10-13
28

Re: [resolved] pLoader under 64-bit OS

plg wrote:

OK, can you remove your $HOME/.pLoader and try again?

Perfect!  Thanks very much for your help.

Offline

 

#8 2013-01-13 16:15:55

gijsh
Guest

Re: [resolved] pLoader under 64-bit OS

I use Mint 14 Nadia  64 bit, and I can confirm that this solution will work. However, the .ploader file is not located at $Home, but at the new config location, $HOME/.local/share/.pLoader.

 

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2018 · Contact